<?php
// ELITE BOARD V  1.2
// Tihomirov Yury
// Rahmankulov Igor'
//
// Saint-Petersburg - Moskow
// 2005 - 2007

     function minimizeImage($type, $width, $height, $file_link, $file_save){
          $photo = $file_link;
          if (!file_exists($photo)) {
               echo 'File not found';
               return FALSE;
          }
          $big_photo = FALSE;
          $type = strtolower($type);
          if (($type == '.jpg')||($type=='.jpeg')){
               $big_photo = @imagecreatefromjpeg ($photo);
          }
          if ($type == '.gif'){
               $big_photo = @imagecreatefromgif($photo);
          }
          if ($type == '.png'){
               $big_photo = @imagecreatefrompng($photo);
          }
          if (!$big_photo){
            $big_photo = @imagecreatefromjpeg($photo);
          }
          if (!$big_photo){
            $big_photo = @imagecreatefromgif($photo);
          }
          if (!$big_photo){
            $big_photo = @imagecreatefrompng($photo);
          }
          if (!$big_photo){
            $big_photo = @imagecreatefromxbm($photo);
          }
          if (!$big_photo){
               echo '<b>File not loaded: uknown image format</b><br>';
               return FALSE;
          }

          $photo_size = @getimagesize($photo);
          $photo_width = $photo_size[0];
          $photo_height = $photo_size[1];
          $kw = $photo_width / $width;
          $kh = $photo_height / $height;
          if (($kh != 0)&&($kw != 0))   {
               if ($kw > $kh) {
                    $photo_width = $photo_width / $kw;
                    $photo_height = $photo_height / $kw;
               } else   {
               $photo_width = $photo_width / $kh;
               $photo_height = $photo_height / $kh;
               }
          } else {
               echo 'Empty file';
               return FALSE;
          }

          $big_size = @getimagesize ($file_link);
          $big_weight = $big_size[0];
          $big_height = $big_size[1];
          $small_photo = @imagecreatetruecolor ($photo_width, $photo_height);
          if (!$small_photo) {
               echo 'Small image not created';
               return FALSE;
          }

          @imagecopyresampled ($small_photo, $big_photo, 0,0, 0, 0, $photo_width, $photo_height, $photo_size[0], $photo_size[1]);

          @imagejpeg ($small_photo, $file_save,100);
          return TRUE;
     }


///return supported GD version
function gdVersion($user_ver = 0)
{
   if (! extension_loaded('gd')) { return; }
   static $gd_ver = 0;
   if ($user_ver == 1) { $gd_ver = 1; return 1; }
   if ($user_ver !=2 && $gd_ver > 0 ) { return $gd_ver; }
   if (function_exists('gd_info')) {
       $ver_info = gd_info();
       preg_match('/\d/', $ver_info['GD Version'], $match);
       $gd_ver = $match[0];
       return $match[0];
   }
   if (preg_match('/phpinfo/', ini_get('disable_functions'))) {
       if ($user_ver == 2) {
           $gd_ver = 2;
           return 2;
       } else {
           $gd_ver = 1;
           return 1;
       }
   }
   ob_start();
   phpinfo(8);
   $info = ob_get_contents();
   ob_end_clean();
   $info = stristr($info, 'gd version');
   preg_match('/\d/', $info, $match);
   $gd_ver = $match[0];
   return $match[0];
}

FUNCTION get_q($id, $sid, $ssid, $add=false, $page=false, $search=false, $reg=false)
{
$return = DIR;
if (TGET == "rewrite")
{
if($search){$return .= "search.html";}
if($reg){$return .= "reg.html";}
else
 {
 if($id && $id !== ""){$return .= $id."/";}
 if($sid && $sid !== ""){$return .= $sid."/";}
 if($ssid && $ssid !== ""){$return .= $ssid."/";}
 if($add){$return .= "add.html";}
 if($page){$return .= "page".$page;}
 }
}
if (TGET == "standart")
{
if($search){$return .= "?search";}
if($reg){$return .= "?reg";}
 {
 if($id && $id != ""){$return .= "?id=".$id;}
 else{if($add){$return = "?add=true"; $add = false;}}
 if($sid && $sid != ""){$return .= "&sid=".$sid;}
 if($ssid && $ssid != ""){$return .= "&ssid=".$ssid;}
 if($add){$return .= "&add=true";}
 if($page){$return .= "&page=".$page;}
 }
}
return $return;
}

FUNCTION get_fid(){
 function make_seed(){
  list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 }
 mt_srand(make_seed());
 $chars="1234567890QWERTYUIOPASDFGHJKLZXCVBNM";
 $retval="";
 $nmax=strlen($chars)-1;
 for ($i=0;$i<25;$i++) $retval=$retval.$chars[mt_rand(0,$nmax)];
return $retval;
}

FUNCTION page($curr, $all, $url, $urlbegining, $urlend){
  if (TGET == "rewrite")
  {
  $vpr = "";
  }
  if (TGET == "standart")
  {
  $vpr = "=";
  }
  $numpag=(int)($all);
  if ($numpag<$all) $numpag++;
  if ($numpag==0) $numpag=1;
  $currp=(int)($curr);
  foreach($_GET as $n => $v)
    $res="[&lt;&lt;&lt;][";
  if ($curr<=1) $res="[&lt;&lt;&lt;]["; else $res="[<a href=".$urlbegining.$url.$vpr.($currp-1).$urlend.">&lt;&lt;&lt;</a>][";
  if ($numpag<=14)
    for ($i=1;$i<=$numpag;$i++)
      if ($i<=$curr && $i>=$curr) $res.="<b><font size=2>".$i."</font></b> |"; else $res.="<a href=".$urlbegining.$url.$vpr.$i.$urlend.">".$i."</a> |";
  else {
    $showpag=14;
    $st=$currp-6;
    if ($st<1) {$st=1;}
    if ($st>1) {
      $res.=" <a href=".$urlbegining.$url.$vpr."1".$urlend.">1..</a> |";
      $showpag-=2;
    }
    if ($st+$showpag>$numpag) $st=$numpag-$showpag;
    for ($i=$st;$i<=$st+$showpag;$i++)
      if ($i<=$curr && $i>=$curr) $res.="<b> ".$i."</b> |"; else $res.=" <a href=".$urlbegining.$url.$vpr.$i.$urlend.">".$i."</a> |";
      if ($st<($numpag-$showpag)) $res.=" <a href=".$urlbegining.$url.$vpr.$numpag.$urlend.">..$numpag</a> |";
  }
  $res=substr($res,0,strlen($res)-1);
  if ($curr>=($all+1)) $res.=" ][&gt;&gt;&gt;]"; else $res.=" ][<a href=".$urlbegining.$url.$vpr.($currp+1).$urlend.">&gt;&gt;&gt;</a>]";
  return $res;
}

FUNCTION save2($a){
  $a = stripslashes($a);
  $a = htmlspecialchars($a);
  $a = str_replace("\r\n", "<br>", $a);
  return $a;}


FUNCTION findmes($value_n1, $n1, $n2, $file)
{
include("files/config.php");

$text = "?";
$file = file($file);
for ($ii=0; $ii<count($file); $ii++)
 {
 $x = explode($bf, $file[$ii]);
 if ($x[$n1] == $value_n1){$text = $x[$n2]; break;}
 }
return $text;
}

FUNCTION generate_key($keys_db = array())
	{
	if(count($keys_db) == 0)
		{
		global $keys_db;
		}

	  do
	    {
	    $text = rand(100000, 999999);
	    } while(in_array($text, $keys_db));
	    return $text;
	}
FUNCTION echotitle($id, $sid, $ssid, $add, $page)
{
$r = " / ";
if($id)
{
$text = $r;
if ($id != "")
  {
  $file=file("files/kat.dat");
  for ($i=0; $i<count($file); $i++)
    {
    $x = explode(BF, $file[$i]);
    if ($x[0] == $id){$text .= trim($x[1]).$r;}
    }
  }
if ($sid != "")
  {
  $file=file("files/subkat.dat");
  for ($i=0; $i<count($file); $i++)
    {
    $x = explode(BF, $file[$i]);
    if ($x[0] == $id && $x[1] == $sid ){$text.=trim($x[2]).$r;}
    }
  }
if ($ssid != "")
  {
  $file=file("files/subsubkat.dat");
  for ($i=0; $i<count($file); $i++)
    {
    $x = explode(BF, $file[$i]);
    if ($x[0] == $id && $x[1] == $sid && $x[2] == $ssid){$text.=trim($x[3]).$r;}
    }
  }
if (isset($add)){ global $locale; $text.= $locale[1]." /";}
}
else {$text = ""; if (isset($add)){ global $locale; $text .= $r.$locale[1]." /";}}

return $text;
}

FUNCTION echo_kat2($id, $sid, $ssid)
{
echo"<select class=echo_kat onChange=\"loadPage(this)\">";
include("files/config.php");
$file=file("files/kat.dat");
$file2 = file("files/subkat.dat");
$file3 = file("files/subsubkat.dat");
for ($i=0;$i<count($file);$i++)
 {
 $selected = "";
 $x = explode($bf, $file[$i]);
 if ($id == $x[0]){$selected = "selected";}
 $opt = $x[1];
 if(strlen($opt) > LENGTH3)
  {
  $opt = substr($x[1], 0, LENGTH3)." ...";
  }
 $value="<option value='".get_q($x[0], "", "")."' ".$selected." >".$opt."</option>";
 if ($id == $x[0]){$selected = "";}
 for ($ii=0;$ii<count($file2);$ii++)
  {
  $xx = explode($bf, $file2[$ii]);
  if($xx[0]==$x[0])
    {
    if ($id == $x[0] && $sid == $xx[1]){$selected = "selected";}
    $opt = $x[1]."|".$xx[2];
    if(strlen($opt) > LENGTH3)
        {
        $opt = "... ".substr($opt, strlen($opt) - LENGTH3);
        }
    $value.="<option value='".get_q($x[0], $xx[1], "")."' ".$selected.">".$opt."</option>";
    }
    if ($id == $x[0] && $sid == $xx[1]){$selected = "";}
  for ($iii=0;$iii<count($file3);$iii++)
    {
    $xxx = explode($bf, $file3[$iii]);
    if($xxx[0]==$x[0] && $xxx[1]==$xx[1])
        {
        if ($id == $x[0] && $sid == $xx[1] && $ssid == $xxx[2]){$selected = "selected";}
        $opt = $x[1]."|".$xx[2]."|".$xxx[3];
        if(strlen($opt) > LENGTH3)
                {
                $opt = "... ".substr($opt, strlen($opt) - LENGTH3);
                }
        $value.="<option value='".get_q($x[0], $xx[1], $xxx[2])."' ".$selected.">".$opt."</option>";
        if ($id == $x[0] && $sid == $xx[1] && $ssid == $xxx[2]){$selected = "";}
        }
    }
  }
  echo $value;
  $value="";
  $value2="";
  }
echo "</select>";
}

FUNCTION echo_kat_script($id, $sid, $ssid)
{

$file1 = file("files/kat.dat");
$file2 = file("files/subkat.dat");
$file3 = file("files/subsubkat.dat");
$width = '175';
$size = '5';
$text = '<script language="JavaScript">
<!--

var catlist = new Array();
';

$i = 0;
foreach($file1 as $k => $v)
		{
        $x = explode(BF, $v);
        $issetsub = false;
        foreach($file2 as $kk => $vv)
		        {
                $xx = explode(BF, $vv);
                if($xx[0] == $x[0])
		                {
		                $issetsub = true;
		                break;
		                }
		        }
        if(!$issetsub)
		        {
                $massiv[$i]['id'] = $x[0];
		        }
		else
				{
		        $massiv[$i]['id'] = $i + 1;
				}
		$massiv[$i]['link'] = '0';
        $massiv[$i]['name'] = $x[1];
        $checklink[$x[0]] = $i + 1;
        $values .= "<option value='".$massiv[$i]['id']."' >".$x[1]."</option>\r\n";
        $i++;
		}

foreach($file1 as $kk => $vv)
		{
		$xx = explode(BF, $vv);
		foreach($file2 as $k => $v)
				{
				$x = explode(BF, $v);
		        if($x[0] == $xx[0])
				        {
				        $issetsub = false;
				        foreach($file3 as $kkk => $vvv)
						        {
				                $xxx = explode(BF, $vvv);
				                if($xxx[0] == $x[0] && $xxx[1] == $x[1])
						                {
						                $issetsub = true;
						                break;
						                }
						        }
				        if(!$issetsub)
						        {
				                $massiv[$i]['id'] = $x[0]."|".$x[1];
						        }
						else
								{
						        $massiv[$i]['id'] = $i + 1;
								}
						$massiv[$i]['link'] = $checklink[$x[0]];
				        $massiv[$i]['name'] = $x[2];
				        $checklink2[$x[0]."|".$x[1]] = $i + 1;
				        $i++;
				        }
				}
		}

foreach($file1 as $kkk => $vvv)
		{
        $xxx = explode(BF, $vvv);
		foreach($file2 as $kk => $vv)
				{
				$xx = explode(BF, $vv);
		        if($xx[0] == $xxx[0])
				        {
		                foreach($file3 as $k => $v)
				                {
		                        $x = explode(BF, $v);
		                        if($x[0] == $xxx[0] && $x[1] == $xx[1])
				                        {
								        $massiv[$i]['id'] = $x[0]."|".$x[1]."|".$x[2];

										$massiv[$i]['link'] = $checklink2[$x[0]."|".$x[1]];
								        $massiv[$i]['name'] = $x[3];
								        $i++;
				                        }
				                }
				        }
				}
		}


foreach($massiv as $k => $v)
		{
        $text .= "\r\n" . 'catlist['.$k.'] = new Array(\''.$v['id'].'\', '.$v['link'].', \''.$v['name'].'\', 1); ';
		}

$text .= "\r\n\r\n";

global $locale;

$text .= "function newList(numClear,field1,field2) {
  var frm = document.newmsg
  var recursion_level = 2;

  if(numClear == 4) {
    clearCombo(frm.Select1)
    clearCombo(frm.Select2)
    clearCombo(frm.Select3)
    clearCombo(frm.Select4)
  }
  else if(numClear == 3) {
    clearCombo(frm.Select2)
    clearCombo(frm.Select3)
    clearCombo(frm.Select4)
  }
  else if(numClear == 2) {
    clearCombo(frm.Select3)
    clearCombo(frm.Select4)
  }
  else if(numClear == 1) {
    clearCombo(frm.Select4)
  }

  var tmpnamearr = new Array();
  var tmparr = new Array();
  j=0;
  loop_start = 0;
  loop_end = catlist.length;

  for(x=0;x<recursion_level;x++) {
    if(field1.options[field1.selectedIndex].value >= catlist[loop_start+Math.round((loop_end-loop_start)/2)][1]) {

      loop_start = loop_start+Math.round((loop_end-loop_start)/2)
      if(field1.options[field1.selectedIndex].value == catlist[loop_start][1]) {
        if(loop_start-100 < 0) {
          loop_start = 0;
        }
        else {
          loop_start = loop_start-100;
        }
      }
      if(field1.options[field1.selectedIndex].value == catlist[loop_end-1][1]) {
        if(loop_end+100 > catlist.length) {
          loop_end = catlist.length;
        }
        else {
          loop_end = loop_end+100;
        }
      }
    }
    else {
      loop_end = loop_start+Math.round((loop_end-loop_start)/2)
      if(field1.options[field1.selectedIndex].value == catlist[loop_start][1]) {
        if(loop_start-100 < 0) {
          loop_start = 0;
        }
        else {
          loop_start = loop_start-100;
        }
      }
      if(field1.options[field1.selectedIndex].value == catlist[loop_end-1][1]) {
        if(loop_end+100 > catlist.length) {
          loop_end = catlist.length;
        }
        else {
          loop_end = loop_end+100;
        }
      }
    }
  }

  for(h=loop_start;h<loop_end;h++) {
    if(catlist[h] && field1.options[field1.selectedIndex].value == catlist[h][1]) {
      tmpnamearr[j] = catlist[h][2];
      tmparr[catlist[h][2]] = catlist[h][0];
      j++;
    }
    else {
      document.getElementById('helptext').innerHTML='".$locale[438]."';
      frm.kat.value = \"0\";
    }

  }



  for(h=0;h<j;h++) {
    newOpt2 = tmpnamearr[h];
    newOpt = tmparr[newOpt2];
    field2.length=h+1;
    field2.options[h] = new Option(newOpt2,newOpt)
  }
  if(j == '0') {
    document.getElementById('helptext').innerHTML='".$locale[439]."';
    frm.kat.value = field1.options[field1.selectedIndex].value
    document.getElementById('submit_button').style.display='block';
    hide_all();
    for(y=2;y<(6-numClear);y++) {
      document.getElementById('box'+y).style.display='block'
    }
  }
  else {
    document.getElementById('submit_button').style.display='none';
    frm.kat.value = '0';
    hide_all();
    for(y=2;y<(7-numClear);y++) {
      document.getElementById('box'+y).style.display='block'
    }
  }


}

function finale(inBox) {
  frm.a_listing_category_id.value = inBox.options[inbox.selectedIndex].value
}

function clearCombo(elem){
  var i;
  for (i = elem.options.length; i >= 0; i--) elem.options[i] = null;
  elem.selectedIndex = -1;
  elem.options[0]= new Option(\"<-----------------------------\",\"".$locale[438]."\");
}

function hide_all(){
  var i;
  for(i=2;i<6;i++) document.getElementById('box'+i).style.display='none';
}
//-->

</script>\n";

$text .= "<select class=\"add_form\" id=\"SelectM\" onchange=\"newList(4, document.newmsg.SelectM,document.newmsg.Select1)\" onclick=\"newList(4, document.newmsg.SelectM,document.newmsg.Select1)\" style=\"WIDTH: ".$width."px\" size=\"".$size."\" name=\"SelectM\">\n".$values;

$text .= "</select>
 <br>
    <div id=\"box2\" style=\"display: none;\">
 <select class=\"add_form\" id=\"Select1\" style=\"WIDTH: ".$width."px\" onchange=\"newList(3, document.newmsg.Select1,document.newmsg.Select2)\" onclick=\"newList(3, document.newmsg.Select1,document.newmsg.Select2)\" size=\"".$size."\" name=\"Select1\">
  </select>

<br>

    <div id=\"box3\" style=\"display: none;\">
<select class=\"add_form\" id=\"Select2\" style=\"WIDTH: ".$width."px\" onchange=\"newList(2, document.newmsg.Select2,document.newmsg.Select3)\" onclick=\"newList(2, document.newmsg.Select2,document.newmsg.Select3)\" size=\"".$size."\" name=\"Select2\">
 </select>
     </div>

<br>

      <div id=\"box4\" style=\"display: none;\">
<select class=\"add_form\" id=\"Select3\" style=\"WIDTH: ".$width."px\" onchange=\"newList(1, document.newmsg.Select3,document.newmsg.Select4)\" onclick=\"newList(1, document.newmsg.Select3,document.newmsg.Select4)\" size=\"".$size."\" name=\"Select3\">
 </select>
     </div>


    <div id=\"box5\" style=\"display: none;\">
 <select class=\"add_form\" id=\"Select4\" style=\"WIDTH: ".$width."px\" onchange=\"finale(document.newmsg.Select4)\" onclick=\"finale(document.newmsg.Select4)\" size=\"".$size."\" name=\"Select4\">
 </select>
     </div>

<br />
<br />
<span id=\"helptext\">".$locale[438]."</span>
<input type=\"hidden\" value=\"0\" name=\"kat\">
<br /><br />
<div id=\"submit_button\" style=\"display: none;\"> </div>\n";
return $text;
}

FUNCTION echo_kat($id, $sid, $ssid)
{
include("files/config.php");
$file=file("files/kat.dat");
$file2 = file("files/subkat.dat");
$file3 = file("files/subsubkat.dat");
for ($i=0;$i<count($file);$i++)
 {
 $selected = "";
 $x = explode($bf, $file[$i]);
 if ($id == $x[0]){$selected = "selected";}
 $opt = $x[1];
 if(strlen($opt) > LENGTH3)
  {
  $opt = substr($x[1], 0, LENGTH3)." ...";
  }
 $value = "<option value='".$x[0]."' ".$selected.">".$opt."</option>";
 for ($ii=0;$ii<count($file2);$ii++)
  {
  $xx = explode($bf, $file2[$ii]);
  if($xx[0]==$x[0])
    {
    $nn++;
    if ($nn<2){$value="";}
    if ($id == $x[0] && $sid == $xx[1]){$selected = "selected";}
    $opt = $x[1]." > ".$xx[2];
    if(strlen($opt) > LENGTH3)
        {
        $opt = "... ".substr($opt, strlen($opt) - LENGTH3);
        }
    $vvalue .= "<option value='".$x[0]."|".$xx[1]."' ".$selected.">".$opt."</option>";
    }
    if ($id == $x[0] && $sid == $xx[1]){$selected = "";}
  for ($iii=0;$iii<count($file3);$iii++)
    {
    $xxx = explode($bf, $file3[$iii]);
    if($xxx[0]==$x[0] && $xxx[1]==$xx[1])
        {
        $nnn = 1;
        if ($id == $x[0] && $sid == $xx[1] && $ssid == $xxx[2]){$selected = "selected";}
        $opt = $x[1]." > ".$xx[2]." > ".$xxx[3];
        if(strlen($opt) > LENGTH3)
                {
                $opt = "... ".substr($opt, strlen($opt) - LENGTH3);
                }
        $value.="<option value='".$x[0]."|".$xx[1]."|".$xxx[2]."' ".$selected.">".$opt."</option>";
        if ($id == $x[0] && $sid == $xx[1] && $ssid == $xxx[2]){$selected = "";}
        }
    }
  if($nnn==""){$value.=$vvalue;}
  $vvalue="";
  $nnn="";
  }
  $nn="";
  $text.=$value;
  $value="";
  }
return $text;
}

FUNCTION echo_kat3($id, $sid, $ssid)
{
global $locale;
echo"<select class=echo_kat name='rubr'>
<option value=|||>".$locale[352]."</option>";
include("files/config.php");
$file=file("files/kat.dat");
$file2 = file("files/subkat.dat");
$file3 = file("files/subsubkat.dat");
for ($i=0;$i<count($file);$i++)
 {
 $selected = "";
 $x = explode($bf, $file[$i]);
 if ($id == $x[0]){$selected = "selected";}
 $opt = $x[1];
 if(strlen($opt) > LENGTH3)
  {
  $opt = substr($x[1], 0, LENGTH3)." ...";
  }
 $value="<option value='".$x[0]."||' ".$selected." >".$opt."</option>";
 if ($id == $x[0]){$selected = "";}
 for ($ii=0;$ii<count($file2);$ii++)
  {
  $xx = explode($bf, $file2[$ii]);
  if($xx[0]==$x[0])
    {
    if ($id == $x[0] && $sid == $xx[1]){$selected = "selected";}
    $opt = $x[1]."|".$xx[2];
    if(strlen($opt) > LENGTH3)
        {
        $opt = "... ".substr($opt, strlen($opt) - LENGTH3);
        }
    $value.="<option value='".$x[0]."|".$xx[1]."|' ".$selected.">".$opt."</option>";
    }
    if ($id == $x[0] && $sid == $xx[1]){$selected = "";}
  for ($iii=0;$iii<count($file3);$iii++)
    {
    $xxx = explode($bf, $file3[$iii]);
    if($xxx[0]==$x[0] && $xxx[1]==$xx[1])
        {
        if ($id == $x[0] && $sid == $xx[1] && $ssid == $xxx[2]){$selected = "selected";}
        $opt = $x[1]."|".$xx[2]."|".$xxx[3];
        if(strlen($opt) > LENGTH3)
                {
                $opt = "... ".substr($opt, strlen($opt) - LENGTH3);
                }
        $value.="<option value='".$x[0]."|".$xx[1]."|".$xxx[2]."' ".$selected.">".$opt."</option>";
        if ($id == $x[0] && $sid == $xx[1] && $ssid == $xxx[2]){$selected = "";}
        }
    }
  }
  echo $value;
  $value="";
  $value2="";
  }
echo "</select>";
}

FUNCTION states2($st) {
include("files/config.php");
$text="";
$file=file("files/regions.dat");
sort($file);
for ($i=0;$i<count($file);$i++)
 {
 $x = explode($bf, $file[$i]);
 $x[0] = trim($x[0]); $x[1] = trim($x[1]);
 $file2 = file("files/subregions.dat");
 if ($st == $x[1]."|"){$rgdef="selected";}else{$rgdef="";}
 $text .= "<option value='".$x[1]."|' ".$rgdef." >".$x[0]."</option>";
 for ($ii=0;$ii<count($file2);$ii++)
  {
  $xx = explode($bf, $file2[$ii]);
  $xx[0] = trim($xx[0]); $xx[1] = trim($xx[1]); $xx[2] = trim($xx[2]);
  if ($xx[0] == $x[1])
    {
    $region = explode("|", $st);
    if(isset($region[1])){if ($st==$x[1]."|".$xx[1]){$selected = "selected";}}else{if($region[0]==$x[1]){$selected="selected";}}
    $text.="<option value='".$x[1]."|".$xx[1]."' ".$selected." >".$x[0]."|".$xx[2]."</option>";
    $selected="";
    }
  }
 }


return $text;
}

FUNCTION states($st) {
global $locale;
include("files/config.php");
$text="";
$file=file("files/regions.dat");
sort($file);
for ($i=0;$i<count($file);$i++)
 {
 $x = explode($bf, $file[$i]);
 $x[0] = trim($x[0]); $x[1] = trim($x[1]);
 if ($st == $x[1]){$rgdef="selected";}else{$rgdef="";}
 $text.="<option value='".$x[1]."' ".$rgdef." class='region_kat'>".$x[0]."</option>";
 $file2 = file("files/subregions.dat");
 for ($ii=0;$ii<count($file2);$ii++)
  {
  $xx = explode($bf, $file2[$ii]);
  $xx[0] = trim($xx[0]); $xx[1] = trim($xx[1]); $xx[2] = trim($xx[2]);
  if ($xx[0] == $x[1])
    {
    if ($st == $x[1]."|".$xx[1]){$rgdef="selected";}else{$rgdef="";}
    $text.="<option value='".$x[1]."|".$xx[1]."' ".$rgdef." class='region_skat'>".$xx[2]."</option>";
    }
  }
 }
if ($st == "all_regions"){$selected = "selected";}
$text.="<option value='all_regions' ".$selected." class='region_kat'>".$locale[28]."</option>";
$text.="</select>";
return $text;
}

FUNCTION ip(){
 global $user_id;
 if(getenv('HTTP_CLIENT_IP')) {$user_ip = getenv('HTTP_CLIENT_IP');}
  elseif(getenv('HTTP_X_FORWARDED_FOR')){$user_ip = getenv('HTTP_X_FORWARDED_FOR');}
  elseif(getenv('REMOTE_ADDR')) {$user_ip = getenv('REMOTE_ADDR');}
  else{$user_ip='unknown';}
 if(15 < strlen($user_ip))
 {
  $ar = split(', ', $user_ip);
  for($i=0; $i < sizeof($ar); $i++)
  {
   if($ar[$i]!='' and !ereg('[a-zA-Z]', $ar[$i])){$user_ip = $ar[$i]; break; }
   if($i==sizeof($user_ip_pass)-1){$user_ip = 'unknown';}
  }
 }
 if(ereg('unknown', $user_ip) and $user_id!=''){ $user_ip .= $user_id; }
return $user_ip;
}

function wrap($Str, $MaxWordLength=60)
{
 $WordsArr = explode(' ', $Str);
 $text = "";
 for($i=0;$i<count($WordsArr);$i++)
 {
  $Word = $WordsArr[$i];
  $Length = strlen($Word);
  if($Length > $MaxWordLength)
  {
   $WordsCount = ceil($Length/$MaxWordLength);
   for($b=1;$b<=$WordsCount;$b++)
   {
     $WordPart = "";
     $WordPart = substr($Word,0,$MaxWordLength);
     $Word = substr($Word,strlen($WordPart));
     $text = $text.$WordPart." ";
   }
  }
   else $text = $text.$Word." ";
 }
return($text);
}

function lockmassiv($array)
 {
return $array;
 }


function parse_request_uri($str)
{
$str = explode('?', $str);
$str = explode('&', $str[1]);
$array = array();
foreach($str as $k => $v)
	{
	$v = explode('=', $v);
	$array[$v[0]] = $v[1];
	}
return $array;
}

FUNCTION er_dostup() {
 echo "<center><font color=#de0000>Access denied</font></center>";
}

?>